Name:           giada
Version:        0.7.0
Release:        5%{?dist}
Summary:        An audio looping machine

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://www.monocasual.com/giada
Source0:        http://downloads.sourceforge.net/project/giada-looper/%{name}-%{version}-src.tar.gz
# submitted upstream https://github.com/monocasual/giada/issues/5
Source1:        giada.desktop
BuildRequires:  libsndfile-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  fltk-fluid
BuildRequires:  fltk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  icoutils
BuildRequires:  rtaudio-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXext-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libsamplerate-devel

%description
giada is an audio looper or ALSA/JACK using the FLTK toolit.
Load or record up to 32 samples, choose to play them in single mode 
(drum machine) or loop mode (sequencer) and start the show with your computer 
keyboard as a controller. Giada aims to be a compact and portable virtual 
device for Linux for production use and live sets. 
%prep
%setup -q -n %{name}-%{version}-src
# convert icon
icotool -x src/giada.ico

%build
%configure --prefix=%{_prefix} --target=linux  
make  %{?_smp_mflags} 

%install 
make install DESTDIR=%{buildroot} 
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE1
install -D -m 644 giada_1_48x48x32.png %{buildroot}%{_datadir}/pixmaps/giada.png

%files
%doc AUTHORS  ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.7.0-2
- Add missing libsamplerate

* Wed Jun 12 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.7.0-1
- New upstream 0.7.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.5.6-1
- New upstream release

* Tue Dec 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.5.4-2
- Rebuild for new rtaudio

* Thu Nov 29 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.5.4-1
- New upstream, removing vst patch
- Apply desktop translation patch from Ismael Olea
- Remove unecessary scriptlets and add a more descriptive summary

* Mon Nov 26 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.5.2-4
- Missing BR libXext-devel

* Sun Nov 25 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.5.2-3
- Add missing BR rtaudio

* Sun Oct 21 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.5.2-2
- correct description and URL, add make flags

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.5.2-1
- Initial package
